Package org.python.core

## Class BytecodeNotification

- java.lang.Object
- - org.python.core.BytecodeNotification

-     public class BytecodeNotification
      extends java.lang.Object

  Notifies registered callbacks if new bytecode is loaded.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `BytecodeNotification.Callback` | Interface for callbacks.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BytecodeNotification()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `clear()` | Clears all the registered callbacks
    `static void` | `notify​(java.lang.String name, byte[] data, java.lang.Class klass)` | Notifies that the new bytecode to the registered callbacks
    `static void` | `register​(BytecodeNotification.Callback n)` | Registers the class as a callback
    `static boolean` | `unregister​(BytecodeNotification.Callback n)` | Unregisters the callback object

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BytecodeNotification

          public BytecodeNotification()

  - ### Method Detail

    - #### register

          public static void register​(BytecodeNotification.Callback n)

      Registers the class as a callback
      Parameters:
        `n` - the callback object

    - #### unregister

          public static boolean unregister​(BytecodeNotification.Callback n)

      Unregisters the callback object
      Parameters:
        `n` - the callback object
      Returns:
        true if successfully removed and false if the callback object was not registered

    - #### clear

          public static void clear()

      Clears all the registered callbacks

    - #### notify

          public static void notify​(java.lang.String name,
                                    byte[] data,
                                    java.lang.Class klass)

      Notifies that the new bytecode to the registered callbacks
      Parameters:
        `name` - the name of the class of the new bytecode
        `data` - raw byte data of the class
        `class` - Java class object of the new bytecode